Bug 19754 - Move template JavaScript to the footer: Acquisitions, part 2
Summary: Move template JavaScript to the footer: Acquisitions, part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on: 19753
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-12-05 17:18 UTC by Owen Leonard
Modified: 2018-03-23 01:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2 (54.00 KB, patch)
2017-12-05 18:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2 (54.85 KB, patch)
2018-02-12 14:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2 (54.91 KB, patch)
2018-02-14 10:07 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2 (54.93 KB, patch)
2018-02-20 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2 (54.98 KB, patch)
2018-02-21 18:31 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-05 17:18:09 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for more of the acquisitions templates.
Comment 1 Owen Leonard 2017-12-05 18:23:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-02-12 14:08:22 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2018-02-14 10:07:02 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-02-18 12:26:14 UTC
Patch doesn't apply - not completely sure how to resolve correctly. 
Can you please rebase?
Comment 5 Owen Leonard 2018-02-20 13:48:45 UTC
Created attachment 71999 [details] [review]
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2

This patch modifies some staff client acquisitions templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Acquisitions -> Invoices
  - Datepickers
  - Search for invoices
    - Datatable
- Acquisitions -> Late orders
  - Datepickers, datatables, selection controls (when searching by
    vendor)
- Acquisitions -> Vendor -> Basket -> Add to basket -> From an existing
  record -> Search
  - Datatables, View MARC modal
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a new
  (empty) record
  - Form validation, inactive fund control, add users to notify on
    receiving.
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  subscription -> Search
  - Datatables, show only renewed, show/hide search form
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a suggestion
  - Datatables, "Show" controls
- Acquisitions
  - "Ordered" link in table of funds
    - Datatables
- Acquisitions -> Vendor -> Receive shipment -> Invoice -> Receive
  - Datepickers, item add form plugins (test with AcqCreateItem set to
    'receiving an order.'

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 6 Josef Moravec 2018-02-21 18:31:49 UTC
Created attachment 72051 [details] [review]
Bug 19754: Move template JavaScript to the footer: Acquisitions, part 2

This patch modifies some staff client acquisitions templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Acquisitions -> Invoices
  - Datepickers
  - Search for invoices
    - Datatable
- Acquisitions -> Late orders
  - Datepickers, datatables, selection controls (when searching by
    vendor)
- Acquisitions -> Vendor -> Basket -> Add to basket -> From an existing
  record -> Search
  - Datatables, View MARC modal
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a new
  (empty) record
  - Form validation, inactive fund control, add users to notify on
    receiving.
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  subscription -> Search
  - Datatables, show only renewed, show/hide search form
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a suggestion
  - Datatables, "Show" controls
- Acquisitions
  - "Ordered" link in table of funds
    - Datatables
- Acquisitions -> Vendor -> Receive shipment -> Invoice -> Receive
  - Datepickers, item add form plugins (test with AcqCreateItem set to
    'receiving an order.'

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2018-02-26 14:18:34 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-03-23 01:19:24 UTC
Enhancement, not backported for 17.11